// dist/snippets/proxmox-yew-comp-aa5525b6f2756518/js-helper-module.js
function async_sleep(ms) {
  return new Promise((resolve) => setTimeout(resolve, ms));
}
function set_cookie(value) {
  document.cookie = value;
}
function clear_auth_cookie(name) {
  document.cookie = name + "=; expires=Thu, 01-Jan-1970 00:00:01 GMT; SameSite=Lax;";
}
function get_cookie() {
  return document.cookie;
}

// dist/snippets/pwt-f1f07c6407dad1a5/js-helper-module.js
function show_modal_dialog(dialog) {
  dialog.showModal();
  dialog.setAttribute("aria-modal", "true");
}
function close_dialog(dialog) {
  dialog.close();
  dialog.removeAttribute("aria-modal");
}
function hide_popover(popover) {
  popover.hidePopover();
}
function show_popover(popover) {
  popover.showPopover();
}

// dist/pdm-ui.js
var wasm;
var heap = new Array(128).fill(void 0);
heap.push(void 0, null, true, false);
function getObject(idx) {
  return heap[idx];
}
var heap_next = heap.length;
function dropObject(idx) {
  if (idx < 132)
    return;
  heap[idx] = heap_next;
  heap_next = idx;
}
function takeObject(idx) {
  const ret = getObject(idx);
  dropObject(idx);
  return ret;
}
function addHeapObject(obj) {
  if (heap_next === heap.length)
    heap.push(heap.length + 1);
  const idx = heap_next;
  heap_next = heap[idx];
  heap[idx] = obj;
  return idx;
}
var cachedTextDecoder = typeof TextDecoder !== "undefined" ? new TextDecoder("utf-8", { ignoreBOM: true, fatal: true }) : { decode: () => {
  throw Error("TextDecoder not available");
} };
if (typeof TextDecoder !== "undefined") {
  cachedTextDecoder.decode();
}
var cachedUint8Memory0 = null;
function getUint8Memory0() {
  if (cachedUint8Memory0 === null || cachedUint8Memory0.byteLength === 0) {
    cachedUint8Memory0 = new Uint8Array(wasm.memory.buffer);
  }
  return cachedUint8Memory0;
}
function getStringFromWasm0(ptr, len) {
  ptr = ptr >>> 0;
  return cachedTextDecoder.decode(getUint8Memory0().subarray(ptr, ptr + len));
}
var WASM_VECTOR_LEN = 0;
var cachedTextEncoder = typeof TextEncoder !== "undefined" ? new TextEncoder("utf-8") : { encode: () => {
  throw Error("TextEncoder not available");
} };
var encodeString = typeof cachedTextEncoder.encodeInto === "function" ? function(arg, view) {
  return cachedTextEncoder.encodeInto(arg, view);
} : function(arg, view) {
  const buf = cachedTextEncoder.encode(arg);
  view.set(buf);
  return {
    read: arg.length,
    written: buf.length
  };
};
function passStringToWasm0(arg, malloc, realloc) {
  if (realloc === void 0) {
    const buf = cachedTextEncoder.encode(arg);
    const ptr2 = malloc(buf.length, 1) >>> 0;
    getUint8Memory0().subarray(ptr2, ptr2 + buf.length).set(buf);
    WASM_VECTOR_LEN = buf.length;
    return ptr2;
  }
  let len = arg.length;
  let ptr = malloc(len, 1) >>> 0;
  const mem = getUint8Memory0();
  let offset = 0;
  for (; offset < len; offset++) {
    const code = arg.charCodeAt(offset);
    if (code > 127)
      break;
    mem[ptr + offset] = code;
  }
  if (offset !== len) {
    if (offset !== 0) {
      arg = arg.slice(offset);
    }
    ptr = realloc(ptr, len, len = offset + arg.length * 3, 1) >>> 0;
    const view = getUint8Memory0().subarray(ptr + offset, ptr + len);
    const ret = encodeString(arg, view);
    offset += ret.written;
    ptr = realloc(ptr, len, offset, 1) >>> 0;
  }
  WASM_VECTOR_LEN = offset;
  return ptr;
}
function isLikeNone(x) {
  return x === void 0 || x === null;
}
var cachedInt32Memory0 = null;
function getInt32Memory0() {
  if (cachedInt32Memory0 === null || cachedInt32Memory0.byteLength === 0) {
    cachedInt32Memory0 = new Int32Array(wasm.memory.buffer);
  }
  return cachedInt32Memory0;
}
var cachedFloat64Memory0 = null;
function getFloat64Memory0() {
  if (cachedFloat64Memory0 === null || cachedFloat64Memory0.byteLength === 0) {
    cachedFloat64Memory0 = new Float64Array(wasm.memory.buffer);
  }
  return cachedFloat64Memory0;
}
function debugString(val) {
  const type = typeof val;
  if (type == "number" || type == "boolean" || val == null) {
    return `${val}`;
  }
  if (type == "string") {
    return `"${val}"`;
  }
  if (type == "symbol") {
    const description = val.description;
    if (description == null) {
      return "Symbol";
    } else {
      return `Symbol(${description})`;
    }
  }
  if (type == "function") {
    const name = val.name;
    if (typeof name == "string" && name.length > 0) {
      return `Function(${name})`;
    } else {
      return "Function";
    }
  }
  if (Array.isArray(val)) {
    const length = val.length;
    let debug = "[";
    if (length > 0) {
      debug += debugString(val[0]);
    }
    for (let i = 1; i < length; i++) {
      debug += ", " + debugString(val[i]);
    }
    debug += "]";
    return debug;
  }
  const builtInMatches = /\[object ([^\]]+)\]/.exec(toString.call(val));
  let className;
  if (builtInMatches.length > 1) {
    className = builtInMatches[1];
  } else {
    return toString.call(val);
  }
  if (className == "Object") {
    try {
      return "Object(" + JSON.stringify(val) + ")";
    } catch (_) {
      return "Object";
    }
  }
  if (val instanceof Error) {
    return `${val.name}: ${val.message}
${val.stack}`;
  }
  return className;
}
var CLOSURE_DTORS = typeof FinalizationRegistry === "undefined" ? { register: () => {
}, unregister: () => {
} } : new FinalizationRegistry((state) => {
  wasm.__wbindgen_export_2.get(state.dtor)(state.a, state.b);
});
function makeMutClosure(arg0, arg1, dtor, f) {
  const state = { a: arg0, b: arg1, cnt: 1, dtor };
  const real = (...args) => {
    state.cnt++;
    const a = state.a;
    state.a = 0;
    try {
      return f(a, state.b, ...args);
    } finally {
      if (--state.cnt === 0) {
        wasm.__wbindgen_export_2.get(state.dtor)(a, state.b);
        CLOSURE_DTORS.unregister(state);
      } else {
        state.a = a;
      }
    }
  };
  real.original = state;
  CLOSURE_DTORS.register(real, state, state);
  return real;
}
function __wbg_adapter_40(arg0, arg1) {
  wasm._dyn_core__ops__function__FnMut_____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h24af60408d1dfaf9(arg0, arg1);
}
var stack_pointer = 128;
function addBorrowedObject(obj) {
  if (stack_pointer == 1)
    throw new Error("out of js stack");
  heap[--stack_pointer] = obj;
  return stack_pointer;
}
function __wbg_adapter_43(arg0, arg1, arg2) {
  try {
    wasm._dyn_core__ops__function__FnMut___A____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h274c267aeccd1153(arg0, arg1, addBorrowedObject(arg2));
  } finally {
    heap[stack_pointer++] = void 0;
  }
}
function makeClosure(arg0, arg1, dtor, f) {
  const state = { a: arg0, b: arg1, cnt: 1, dtor };
  const real = (...args) => {
    state.cnt++;
    try {
      return f(state.a, state.b, ...args);
    } finally {
      if (--state.cnt === 0) {
        wasm.__wbindgen_export_2.get(state.dtor)(state.a, state.b);
        state.a = 0;
        CLOSURE_DTORS.unregister(state);
      }
    }
  };
  real.original = state;
  CLOSURE_DTORS.register(real, state, state);
  return real;
}
function __wbg_adapter_46(arg0, arg1) {
  wasm._dyn_core__ops__function__Fn_____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h72361d5ac8af83de(arg0, arg1);
}
function __wbg_adapter_49(arg0, arg1, arg2) {
  wasm._dyn_core__ops__function__Fn__A____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__he854daacd362713e(arg0, arg1, addHeapObject(arg2));
}
var cachedUint32Memory0 = null;
function getUint32Memory0() {
  if (cachedUint32Memory0 === null || cachedUint32Memory0.byteLength === 0) {
    cachedUint32Memory0 = new Uint32Array(wasm.memory.buffer);
  }
  return cachedUint32Memory0;
}
function passArrayJsValueToWasm0(array, malloc) {
  const ptr = malloc(array.length * 4, 4) >>> 0;
  const mem = getUint32Memory0();
  for (let i = 0; i < array.length; i++) {
    mem[ptr / 4 + i] = addHeapObject(array[i]);
  }
  WASM_VECTOR_LEN = array.length;
  return ptr;
}
function __wbg_adapter_52(arg0, arg1, arg2, arg3) {
  const ptr0 = passArrayJsValueToWasm0(arg2, wasm.__wbindgen_malloc);
  const len0 = WASM_VECTOR_LEN;
  wasm._dyn_core__ops__function__Fn__A_B___Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h675ac5ae97df426e(arg0, arg1, ptr0, len0, addHeapObject(arg3));
}
function __wbg_adapter_55(arg0, arg1, arg2) {
  const ptr0 = passArrayJsValueToWasm0(arg2, wasm.__wbindgen_malloc);
  const len0 = WASM_VECTOR_LEN;
  wasm._dyn_core__ops__function__Fn__A____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h5218a6dc2da555bc(arg0, arg1, ptr0, len0);
}
function __wbg_adapter_58(arg0, arg1, arg2) {
  wasm._dyn_core__ops__function__FnMut__A____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h646133b87c1232ca(arg0, arg1, addHeapObject(arg2));
}
function __wbg_adapter_61(arg0, arg1, arg2) {
  try {
    wasm._dyn_core__ops__function__Fn___A____Output___R_as_wasm_bindgen__closure__WasmClosure___describe__invoke__h926894d2bf2e4139(arg0, arg1, addBorrowedObject(arg2));
  } finally {
    heap[stack_pointer++] = void 0;
  }
}
function getArrayJsValueFromWasm0(ptr, len) {
  ptr = ptr >>> 0;
  const mem = getUint32Memory0();
  const slice = mem.subarray(ptr / 4, ptr / 4 + len);
  const result = [];
  for (let i = 0; i < slice.length; i++) {
    result.push(takeObject(slice[i]));
  }
  return result;
}
function handleError(f, args) {
  try {
    return f.apply(this, args);
  } catch (e) {
    wasm.__wbindgen_exn_store(addHeapObject(e));
  }
}
function getArrayU8FromWasm0(ptr, len) {
  ptr = ptr >>> 0;
  return getUint8Memory0().subarray(ptr / 1, ptr / 1 + len);
}
async function __wbg_load(module, imports) {
  if (typeof Response === "function" && module instanceof Response) {
    if (typeof WebAssembly.instantiateStreaming === "function") {
      try {
        return await WebAssembly.instantiateStreaming(module, imports);
      } catch (e) {
        if (module.headers.get("Content-Type") != "application/wasm") {
          console.warn("`WebAssembly.instantiateStreaming` failed because your server does not serve wasm with `application/wasm` MIME type. Falling back to `WebAssembly.instantiate` which is slower. Original error:\n", e);
        } else {
          throw e;
        }
      }
    }
    const bytes = await module.arrayBuffer();
    return await WebAssembly.instantiate(bytes, imports);
  } else {
    const instance = await WebAssembly.instantiate(module, imports);
    if (instance instanceof WebAssembly.Instance) {
      return { instance, module };
    } else {
      return instance;
    }
  }
}
function __wbg_get_imports() {
  const imports = {};
  imports.wbg = {};
  imports.wbg.__wbg_getcookie_bb3200803bb9373d = function(arg0) {
    const ret = get_cookie();
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbindgen_object_drop_ref = function(arg0) {
    takeObject(arg0);
  };
  imports.wbg.__wbg_setItem_d002ee486462bfff = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).setItem(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbindgen_object_clone_ref = function(arg0) {
    const ret = getObject(arg0);
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_is_010fdc0f4ab96916 = function(arg0, arg1) {
    const ret = Object.is(getObject(arg0), getObject(arg1));
    return ret;
  };
  imports.wbg.__wbindgen_string_new = function(arg0, arg1) {
    const ret = getStringFromWasm0(arg0, arg1);
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_error_788ae33f81d3b84b = function(arg0) {
    console.error(getObject(arg0));
  };
  imports.wbg.__wbg_document_f7ace2b956f30a4f = function(arg0) {
    const ret = getObject(arg0).document;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_instanceof_HtmlElement_6f4725d4677c7968 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof HTMLElement;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_setinnerHTML_b089587252408b67 = function(arg0, arg1, arg2) {
    getObject(arg0).innerHTML = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_setbody_b27f0506d5cb74b4 = function(arg0, arg1) {
    getObject(arg0).body = getObject(arg1);
  };
  imports.wbg.__wbg_body_674aec4c1c0910cd = function(arg0) {
    const ret = getObject(arg0).body;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_lastChild_0cee692010bac6c2 = function(arg0) {
    const ret = getObject(arg0).lastChild;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_new_abda76e883ba8a5f = function() {
    const ret = new Error();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_stack_658279fe44541cf6 = function(arg0, arg1) {
    const ret = getObject(arg1).stack;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_error_f851667af71bcfc6 = function(arg0, arg1) {
    let deferred0_0;
    let deferred0_1;
    try {
      deferred0_0 = arg0;
      deferred0_1 = arg1;
      console.error(getStringFromWasm0(arg0, arg1));
    } finally {
      wasm.__wbindgen_free(deferred0_0, deferred0_1, 1);
    }
  };
  imports.wbg.__wbg_new_72fb9a18b5ae2624 = function() {
    const ret = new Object();
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_string_get = function(arg0, arg1) {
    const obj = getObject(arg1);
    const ret = typeof obj === "string" ? obj : void 0;
    var ptr1 = isLikeNone(ret) ? 0 : passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    var len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbindgen_jsval_loose_eq = function(arg0, arg1) {
    const ret = getObject(arg0) == getObject(arg1);
    return ret;
  };
  imports.wbg.__wbg_sethash_41d6e65816639c62 = function(arg0, arg1, arg2) {
    getObject(arg0).hash = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_href_17ed54b321396524 = function(arg0, arg1) {
    const ret = getObject(arg1).href;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_replaceState_2e530b05e604adc4 = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4, arg5) {
      getObject(arg0).replaceState(getObject(arg1), getStringFromWasm0(arg2, arg3), arg4 === 0 ? void 0 : getStringFromWasm0(arg4, arg5));
    }, arguments);
  };
  imports.wbg.__wbg_location_56243dba507f472d = function(arg0) {
    const ret = getObject(arg0).location;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_state_745dc4814d321eb3 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).state;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbindgen_is_object = function(arg0) {
    const val = getObject(arg0);
    const ret = typeof val === "object" && val !== null;
    return ret;
  };
  imports.wbg.__wbg_getwithrefkey_5e6d9547403deab8 = function(arg0, arg1) {
    const ret = getObject(arg0)[getObject(arg1)];
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_is_undefined = function(arg0) {
    const ret = getObject(arg0) === void 0;
    return ret;
  };
  imports.wbg.__wbindgen_in = function(arg0, arg1) {
    const ret = getObject(arg0) in getObject(arg1);
    return ret;
  };
  imports.wbg.__wbindgen_number_get = function(arg0, arg1) {
    const obj = getObject(arg1);
    const ret = typeof obj === "number" ? obj : void 0;
    getFloat64Memory0()[arg0 / 8 + 1] = isLikeNone(ret) ? 0 : ret;
    getInt32Memory0()[arg0 / 4 + 0] = !isLikeNone(ret);
  };
  imports.wbg.__wbg_isSafeInteger_f7b04ef02296c4d2 = function(arg0) {
    const ret = Number.isSafeInteger(getObject(arg0));
    return ret;
  };
  imports.wbg.__wbindgen_is_string = function(arg0) {
    const ret = typeof getObject(arg0) === "string";
    return ret;
  };
  imports.wbg.__wbg_entries_95cc2c823b285a09 = function(arg0) {
    const ret = Object.entries(getObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_length_cd7af8117672b8b8 = function(arg0) {
    const ret = getObject(arg0).length;
    return ret;
  };
  imports.wbg.__wbg_get_bd8e338fbd5f5cc8 = function(arg0, arg1) {
    const ret = getObject(arg0)[arg1 >>> 0];
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_pathname_c8fd5c498079312d = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).pathname;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_search_6c3c472e076ee010 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).search;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_hash_a1a795b89dda8e3d = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).hash;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbindgen_number_new = function(arg0) {
    const ret = arg0;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_set_841ac57cff3d672b = function(arg0, arg1, arg2) {
    getObject(arg0)[takeObject(arg1)] = takeObject(arg2);
  };
  imports.wbg.__wbg_history_3c2280e6b2a9316e = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).history;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_addEventListener_a5963e26cd7b176b = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).addEventListener(getStringFromWasm0(arg1, arg2), getObject(arg3), getObject(arg4));
    }, arguments);
  };
  imports.wbg.__wbg_removeEventListener_782040b4432709cb = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).removeEventListener(getStringFromWasm0(arg1, arg2), getObject(arg3), arg4 !== 0);
    }, arguments);
  };
  imports.wbg.__wbg_pathname_57290e07c6bc0683 = function(arg0, arg1) {
    const ret = getObject(arg1).pathname;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_search_2ff3bb9114e0ca34 = function(arg0, arg1) {
    const ret = getObject(arg1).search;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_hash_2b57e787945b2db0 = function(arg0, arg1) {
    const ret = getObject(arg1).hash;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_instanceof_Error_e20bb56fd5591a93 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Error;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_name_e7429f0dda6079e2 = function(arg0) {
    const ret = getObject(arg0).name;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_message_5bf28016c2b49cfb = function(arg0) {
    const ret = getObject(arg0).message;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_toString_ffe4c9ea3b3532e9 = function(arg0) {
    const ret = getObject(arg0).toString();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_toString_c816a20ab859d0c1 = function(arg0) {
    const ret = getObject(arg0).toString();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_set_b34caba58723c454 = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).set(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbg_clearTimeout_541ac0980ffcef74 = function(arg0) {
    const ret = clearTimeout(takeObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setTimeout_7d81d052875b0f4f = function() {
    return handleError(function(arg0, arg1) {
      const ret = setTimeout(getObject(arg0), arg1);
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_clearInterval_7f51e4380e64c6c5 = function(arg0) {
    const ret = clearInterval(takeObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setInterval_e227d4d8a9d44d66 = function() {
    return handleError(function(arg0, arg1) {
      const ret = setInterval(getObject(arg0), arg1);
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_self_ce0dbfc45cf2f5be = function() {
    return handleError(function() {
      const ret = self.self;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_window_c6fb939a7f436783 = function() {
    return handleError(function() {
      const ret = window.window;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_globalThis_d1e6af4856ba331b = function() {
    return handleError(function() {
      const ret = globalThis.globalThis;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_global_207b558942527489 = function() {
    return handleError(function() {
      const ret = global.global;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_newnoargs_e258087cd0daa0ea = function(arg0, arg1) {
    const ret = new Function(getStringFromWasm0(arg0, arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_call_27c0f87801dedf93 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).call(getObject(arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_get_e3c254076557e348 = function() {
    return handleError(function(arg0, arg1) {
      const ret = Reflect.get(getObject(arg0), getObject(arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_set_1f9b04f170055d33 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = Reflect.set(getObject(arg0), getObject(arg1), getObject(arg2));
      return ret;
    }, arguments);
  };
  imports.wbg.__wbindgen_memory = function() {
    const ret = wasm.memory;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_buffer_12d079cc21e14bdb = function(arg0) {
    const ret = getObject(arg0).buffer;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_newwithbyteoffsetandlength_aa4a17c33a06e5cb = function(arg0, arg1, arg2) {
    const ret = new Uint8Array(getObject(arg0), arg1 >>> 0, arg2 >>> 0);
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_length_c20a40f15020d68a = function(arg0) {
    const ret = getObject(arg0).length;
    return ret;
  };
  imports.wbg.__wbg_set_a47bac70306a19a7 = function(arg0, arg1, arg2) {
    getObject(arg0).set(getObject(arg1), arg2 >>> 0);
  };
  imports.wbg.__wbg_new_63b92bc8671ed464 = function(arg0) {
    const ret = new Uint8Array(getObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_new0_7d84e5b2cd9fdc73 = function() {
    const ret = new Date();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setTime_75c97d460980b122 = function(arg0, arg1) {
    const ret = getObject(arg0).setTime(arg1);
    return ret;
  };
  imports.wbg.__wbg_toISOString_d645fecf95b28a41 = function(arg0) {
    const ret = getObject(arg0).toISOString();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_append_fda9e3432e3e88da = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).append(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbg_newwithlength_e9b4878cebadb3d3 = function(arg0) {
    const ret = new Uint8Array(arg0 >>> 0);
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_signal_4bd18fb489af2d4c = function(arg0) {
    const ret = getObject(arg0).signal;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_headers_b439dcff02e808e5 = function(arg0) {
    const ret = getObject(arg0).headers;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setcookie_20e860386f7e866b = function(arg0, arg1) {
    set_cookie(getStringFromWasm0(arg0, arg1));
  };
  imports.wbg.__wbg_fetch_4edfb8a49264def7 = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).fetch(getObject(arg1), getObject(arg2));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_status_ac85a3142a84caa2 = function(arg0) {
    const ret = getObject(arg0).status;
    return ret;
  };
  imports.wbg.__wbg_clearauthcookie_6821e10588512e88 = function(arg0, arg1) {
    clear_auth_cookie(getStringFromWasm0(arg0, arg1));
  };
  imports.wbg.__wbg_headers_b70de86b8e989bc0 = function(arg0) {
    const ret = getObject(arg0).headers;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_observe_b044c342e4cff34a = function(arg0, arg1) {
    getObject(arg0).observe(getObject(arg1));
  };
  imports.wbg.__wbg_setscrollTop_c048928133b3944a = function(arg0, arg1) {
    getObject(arg0).scrollTop = arg1;
  };
  imports.wbg.__wbg_focus_dbcbbbb2a04c0e1f = function() {
    return handleError(function(arg0) {
      getObject(arg0).focus();
    }, arguments);
  };
  imports.wbg.__wbg_setscrollLeft_71b27cc3cbd7b6a7 = function(arg0, arg1) {
    getObject(arg0).scrollLeft = arg1;
  };
  imports.wbg.__wbg_key_8aeaa079126a9cc7 = function(arg0, arg1) {
    const ret = getObject(arg1).key;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_shiftKey_48e8701355d8e2d4 = function(arg0) {
    const ret = getObject(arg0).shiftKey;
    return ret;
  };
  imports.wbg.__wbg_ctrlKey_582686fb2263dd3c = function(arg0) {
    const ret = getObject(arg0).ctrlKey;
    return ret;
  };
  imports.wbg.__wbg_shiftKey_8a070ab6169b5fa4 = function(arg0) {
    const ret = getObject(arg0).shiftKey;
    return ret;
  };
  imports.wbg.__wbg_ctrlKey_0a805df688b5bf42 = function(arg0) {
    const ret = getObject(arg0).ctrlKey;
    return ret;
  };
  imports.wbg.__wbg_activeElement_2cf540415b6fcd5c = function(arg0) {
    const ret = getObject(arg0).activeElement;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_preventDefault_24104f3f0a54546a = function(arg0) {
    getObject(arg0).preventDefault();
  };
  imports.wbg.__wbg_disconnect_dd1247d2a4580d39 = function(arg0) {
    getObject(arg0).disconnect();
  };
  imports.wbg.__wbg_settabIndex_1f11e403a42dbc26 = function(arg0, arg1) {
    getObject(arg0).tabIndex = arg1;
  };
  imports.wbg.__wbg_target_f171e89c61e2bccf = function(arg0) {
    const ret = getObject(arg0).target;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_value_9423da9d988ee8cf = function(arg0, arg1) {
    const ret = getObject(arg1).value;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_relatedTarget_74cde1961e7ad0e0 = function(arg0) {
    const ret = getObject(arg0).relatedTarget;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_getElementById_cc0e0d931b0d9a28 = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).getElementById(getStringFromWasm0(arg1, arg2));
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_addEventListener_5651108fc3ffeb6e = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      getObject(arg0).addEventListener(getStringFromWasm0(arg1, arg2), getObject(arg3));
    }, arguments);
  };
  imports.wbg.__wbg_location_7ac41949b772ef21 = function(arg0) {
    const ret = getObject(arg0).location;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_hostname_b77e5e70d6ff6236 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).hostname;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_stopPropagation_55539cfa2506c867 = function(arg0) {
    getObject(arg0).stopPropagation();
  };
  imports.wbg.__wbg_offsetX_5a58f16f6c3a41b6 = function(arg0) {
    const ret = getObject(arg0).offsetX;
    return ret;
  };
  imports.wbg.__wbg_getBoundingClientRect_ac9db8cf97ca8083 = function(arg0) {
    const ret = getObject(arg0).getBoundingClientRect();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_width_e0c6b79d8cdd8897 = function(arg0) {
    const ret = getObject(arg0).width;
    return ret;
  };
  imports.wbg.__wbg_port_2a08f2322537d065 = function(arg0, arg1) {
    const ret = getObject(arg1).port;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_setport_372c61cc92abf2fc = function(arg0, arg1, arg2) {
    getObject(arg0).port = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_deltaY_64823169afb0335d = function(arg0) {
    const ret = getObject(arg0).deltaY;
    return ret;
  };
  imports.wbg.__wbg_new_2a98b9c4a51bdc04 = function() {
    return handleError(function() {
      const ret = new URLSearchParams();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_newwithstr_3d9bc779603a93c7 = function() {
    return handleError(function(arg0, arg1) {
      const ret = new Request(getStringFromWasm0(arg0, arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_url_fda63503ced387ff = function(arg0, arg1) {
    const ret = getObject(arg1).url;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_setsearch_16b87f04ea0e6b80 = function(arg0, arg1, arg2) {
    getObject(arg0).search = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_instanceof_Window_9029196b662bc42a = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Window;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_fetch_336b6f0cb426b46e = function(arg0, arg1) {
    const ret = getObject(arg0).fetch(getObject(arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_instanceof_WorkerGlobalScope_d9d741da0fb130ce = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof WorkerGlobalScope;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_fetch_8eaf01857a5bb21f = function(arg0, arg1) {
    const ret = getObject(arg0).fetch(getObject(arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_instanceof_Response_fc4327dbfcdf5ced = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Response;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_ok_e3d8d84e630fd064 = function(arg0) {
    const ret = getObject(arg0).ok;
    return ret;
  };
  imports.wbg.__wbg_body_b86f372950de5b7d = function(arg0) {
    const ret = getObject(arg0).body;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_new_03dd2c95c51a801b = function() {
    return handleError(function(arg0) {
      const ret = new ReadableStreamDefaultReader(getObject(arg0));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbindgen_boolean_get = function(arg0) {
    const v = getObject(arg0);
    const ret = typeof v === "boolean" ? v ? 1 : 0 : 2;
    return ret;
  };
  imports.wbg.__wbg_instanceof_Uint8Array_2b3bbecd033d19f6 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Uint8Array;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbindgen_cb_drop = function(arg0) {
    const obj = takeObject(arg0).original;
    if (obj.cnt-- == 1) {
      obj.a = 0;
      return true;
    }
    const ret = false;
    return ret;
  };
  imports.wbg.__wbg_blur_53431c003c82bf53 = function() {
    return handleError(function(arg0) {
      getObject(arg0).blur();
    }, arguments);
  };
  imports.wbg.__wbg_removeEventListener_5de660c02ed784e4 = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      getObject(arg0).removeEventListener(getStringFromWasm0(arg1, arg2), getObject(arg3));
    }, arguments);
  };
  imports.wbg.__wbg_code_96d6322b968b2d17 = function(arg0, arg1) {
    const ret = getObject(arg1).code;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_scrollLeft_ea915614eac6bbeb = function(arg0) {
    const ret = getObject(arg0).scrollLeft;
    return ret;
  };
  imports.wbg.__wbg_scrollTop_9e5ce77431551404 = function(arg0) {
    const ret = getObject(arg0).scrollTop;
    return ret;
  };
  imports.wbg.__wbg_disconnect_00c020d40f47fb32 = function(arg0) {
    getObject(arg0).disconnect();
  };
  imports.wbg.__wbg_parse_47a8e58b131fd143 = function(arg0, arg1) {
    const ret = Date.parse(getStringFromWasm0(arg0, arg1));
    return ret;
  };
  imports.wbg.__wbg_new_6c08de71fd7da8d7 = function() {
    return handleError(function(arg0) {
      const ret = new IntersectionObserver(getObject(arg0));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_observe_0ce70bae387f9bdf = function(arg0, arg1) {
    getObject(arg0).observe(getObject(arg1));
  };
  imports.wbg.__wbg_isIntersecting_6285c8df39df79f3 = function(arg0) {
    const ret = getObject(arg0).isIntersecting;
    return ret;
  };
  imports.wbg.__wbg_now_3014639a94423537 = function() {
    const ret = Date.now();
    return ret;
  };
  imports.wbg.__wbg_asyncsleep_497ff3a24e3dc2f8 = function(arg0) {
    const ret = async_sleep(arg0);
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_getFullYear_d7c822fa9c674c24 = function(arg0) {
    const ret = getObject(arg0).getFullYear();
    return ret;
  };
  imports.wbg.__wbg_getMonth_5a9eac2ac6ad9255 = function(arg0) {
    const ret = getObject(arg0).getMonth();
    return ret;
  };
  imports.wbg.__wbg_getDate_27ca688e44a3c7be = function(arg0) {
    const ret = getObject(arg0).getDate();
    return ret;
  };
  imports.wbg.__wbg_getHours_5d0373cf98120c58 = function(arg0) {
    const ret = getObject(arg0).getHours();
    return ret;
  };
  imports.wbg.__wbg_getMinutes_ac88068d7c65337d = function(arg0) {
    const ret = getObject(arg0).getMinutes();
    return ret;
  };
  imports.wbg.__wbg_getSeconds_d64f27942cb95ccf = function(arg0) {
    const ret = getObject(arg0).getSeconds();
    return ret;
  };
  imports.wbg.__wbg_scrollTop_5011470bb5e739a2 = function(arg0) {
    const ret = getObject(arg0).scrollTop;
    return ret;
  };
  imports.wbg.__wbg_scrollHeight_507b6dce7e24a56d = function(arg0) {
    const ret = getObject(arg0).scrollHeight;
    return ret;
  };
  imports.wbg.__wbg_clientHeight_09ec0b524d59c367 = function(arg0) {
    const ret = getObject(arg0).clientHeight;
    return ret;
  };
  imports.wbg.__wbg_new_f648bc7adcace0bc = function() {
    return handleError(function() {
      const ret = new DOMParser();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_parseFromString_3d7be3de8b4c264e = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = getObject(arg0).parseFromString(getStringFromWasm0(arg1, arg2), takeObject(arg3));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_innerHTML_7957d4fb76221e5a = function(arg0, arg1) {
    const ret = getObject(arg1).innerHTML;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_nodeType_238f049908daf027 = function(arg0) {
    const ret = getObject(arg0).nodeType;
    return ret;
  };
  imports.wbg.__wbg_tagName_5d48e5a3ca410385 = function(arg0, arg1) {
    const ret = getObject(arg1).tagName;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_outerHTML_f7749ceff37b5832 = function(arg0, arg1) {
    const ret = getObject(arg1).outerHTML;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_setouterHTML_839fbf72691f4734 = function(arg0, arg1, arg2) {
    getObject(arg0).outerHTML = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_attributes_dd208f267c33bd56 = function(arg0) {
    const ret = getObject(arg0).attributes;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_length_56101d6d9fb5e359 = function(arg0) {
    const ret = getObject(arg0).length;
    return ret;
  };
  imports.wbg.__wbg_getwithindex_662678ae891d8e45 = function(arg0, arg1) {
    const ret = getObject(arg0)[arg1 >>> 0];
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_name_0949baa0ebb9c666 = function(arg0, arg1) {
    const ret = getObject(arg1).name;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_value_afe81cc14b882ebf = function(arg0, arg1) {
    const ret = getObject(arg1).value;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_protocol_8a8a118a2f92b3f4 = function(arg0, arg1) {
    const ret = getObject(arg1).protocol;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_setvalue_996564ee3f89c075 = function(arg0, arg1, arg2) {
    getObject(arg0).value = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_childNodes_64dab37cf9d252dd = function(arg0) {
    const ret = getObject(arg0).childNodes;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_length_7aeee1534dbcb390 = function(arg0) {
    const ret = getObject(arg0).length;
    return ret;
  };
  imports.wbg.__wbg_get_c77649dd3862b63a = function(arg0, arg1) {
    const ret = getObject(arg0)[arg1 >>> 0];
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_sethref_e5626365d7354fea = function() {
    return handleError(function(arg0, arg1, arg2) {
      getObject(arg0).href = getStringFromWasm0(arg1, arg2);
    }, arguments);
  };
  imports.wbg.__wbg_scrollHeight_b8deee7a26235364 = function(arg0) {
    const ret = getObject(arg0).scrollHeight;
    return ret;
  };
  imports.wbg.__wbg_parse_66d1801634e099ac = function() {
    return handleError(function(arg0, arg1) {
      const ret = JSON.parse(getStringFromWasm0(arg0, arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_isArray_2ab64d95e09ea0ae = function(arg0) {
    const ret = Array.isArray(getObject(arg0));
    return ret;
  };
  imports.wbg.__wbindgen_jsval_eq = function(arg0, arg1) {
    const ret = getObject(arg0) === getObject(arg1);
    return ret;
  };
  imports.wbg.__wbg_navigator_08c40c2ab15d1258 = function(arg0) {
    const ret = getObject(arg0).navigator;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_credentials_f44d259fd7e32788 = function(arg0) {
    const ret = getObject(arg0).credentials;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_get_41ce408bd803c500 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).get(getObject(arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_abort_654b796176d117aa = function(arg0) {
    getObject(arg0).abort();
  };
  imports.wbg.__wbg_get_b383d7f8253c2d61 = function(arg0, arg1) {
    const ret = getObject(arg0)[arg1 >>> 0];
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_text_ae4c03a5032dca7d = function(arg0) {
    const ret = getObject(arg0).text();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_open_65aa8845e00f96ee = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4, arg5, arg6) {
      const ret = getObject(arg0).open(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4), getStringFromWasm0(arg5, arg6));
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_focus_3936c6eb13bd58df = function() {
    return handleError(function(arg0) {
      getObject(arg0).focus();
    }, arguments);
  };
  imports.wbg.__wbg_create_d38778d6b9b6d197 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).create(getObject(arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_title_38eca70d713db127 = function(arg0, arg1) {
    const ret = getObject(arg1).title;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_host_15090f3de0544fea = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).host;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_getSelection_915c382e100fd032 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).getSelection();
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_removeAllRanges_37107d4339842756 = function() {
    return handleError(function(arg0) {
      getObject(arg0).removeAllRanges();
    }, arguments);
  };
  imports.wbg.__wbg_createRange_37de4e2f0ca65f29 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).createRange();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_selectNodeContents_d1dad136a482bcc9 = function() {
    return handleError(function(arg0, arg1) {
      getObject(arg0).selectNodeContents(getObject(arg1));
    }, arguments);
  };
  imports.wbg.__wbg_addRange_90b74a4ed772c428 = function() {
    return handleError(function(arg0, arg1) {
      getObject(arg0).addRange(getObject(arg1));
    }, arguments);
  };
  imports.wbg.__wbg_instanceof_HtmlDocument_0485e23863c92f34 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof HTMLDocument;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_execCommand_eecccd1fb945375b = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).execCommand(getStringFromWasm0(arg1, arg2));
      return ret;
    }, arguments);
  };
  imports.wbg.__wbg_crypto_6eb1167a1eff9af9 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).crypto;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_getRandomValues_38b282e424c9b486 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).getRandomValues(getArrayU8FromWasm0(arg1, arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_setHours_62ac9dd138a2cf3c = function(arg0, arg1) {
    const ret = getObject(arg0).setHours(arg1 >>> 0);
    return ret;
  };
  imports.wbg.__wbg_setMinutes_87241e4cd33327e5 = function(arg0, arg1) {
    const ret = getObject(arg0).setMinutes(arg1 >>> 0);
    return ret;
  };
  imports.wbg.__wbg_setSeconds_5b68a2a865e0784f = function(arg0, arg1) {
    const ret = getObject(arg0).setSeconds(arg1 >>> 0);
    return ret;
  };
  imports.wbg.__wbg_setMilliseconds_e38c0fc7bae994be = function(arg0, arg1) {
    const ret = getObject(arg0).setMilliseconds(arg1 >>> 0);
    return ret;
  };
  imports.wbg.__wbg_getTime_2bc4375165f02d15 = function(arg0) {
    const ret = getObject(arg0).getTime();
    return ret;
  };
  imports.wbg.__wbg_new_cf3ec55744a78578 = function(arg0) {
    const ret = new Date(getObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_getBBox_28f8c9cab9f2df87 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).getBBox();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_width_3226ed56f99b3932 = function(arg0) {
    const ret = getObject(arg0).width;
    return ret;
  };
  imports.wbg.__wbg_setPointerCapture_e7c29336490bba19 = function() {
    return handleError(function(arg0, arg1) {
      getObject(arg0).setPointerCapture(arg1);
    }, arguments);
  };
  imports.wbg.__wbg_offsetY_c45b4956f6429a95 = function(arg0) {
    const ret = getObject(arg0).offsetY;
    return ret;
  };
  imports.wbg.__wbg_pointerId_701aab7b4fb073ff = function(arg0) {
    const ret = getObject(arg0).pointerId;
    return ret;
  };
  imports.wbg.__wbg_read_b40399852b2f7b2b = function(arg0) {
    const ret = getObject(arg0).read();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_getTimezoneOffset_38257122e236c190 = function(arg0) {
    const ret = getObject(arg0).getTimezoneOffset();
    return ret;
  };
  imports.wbg.__wbg_instanceof_Element_4622f5da1249a3eb = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Element;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_id_0626af592e3fcac5 = function(arg0, arg1) {
    const ret = getObject(arg1).id;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_parentElement_c75962bc9997ea5f = function(arg0) {
    const ret = getObject(arg0).parentElement;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_style_3801009b2339aa94 = function(arg0) {
    const ret = getObject(arg0).style;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setProperty_b95ef63ab852879e = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).setProperty(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbg_scrollWidth_913984e3ed11e471 = function(arg0) {
    const ret = getObject(arg0).scrollWidth;
    return ret;
  };
  imports.wbg.__wbg_new_28c511d9baebfa89 = function(arg0, arg1) {
    const ret = new Error(getStringFromWasm0(arg0, arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_left_23a613d619fb4206 = function(arg0) {
    const ret = getObject(arg0).left;
    return ret;
  };
  imports.wbg.__wbg_clientLeft_3df5772a057b130b = function(arg0) {
    const ret = getObject(arg0).clientLeft;
    return ret;
  };
  imports.wbg.__wbg_top_98ff0408c018d25e = function(arg0) {
    const ret = getObject(arg0).top;
    return ret;
  };
  imports.wbg.__wbg_clientTop_e3dabf84726e9aea = function(arg0) {
    const ret = getObject(arg0).clientTop;
    return ret;
  };
  imports.wbg.__wbg_x_6c8af74c3b4d8c09 = function(arg0) {
    const ret = getObject(arg0).x;
    return ret;
  };
  imports.wbg.__wbg_y_4cca2672ce1b5fc1 = function(arg0) {
    const ret = getObject(arg0).y;
    return ret;
  };
  imports.wbg.__wbg_nodeName_52cfd8a325f14a75 = function(arg0, arg1) {
    const ret = getObject(arg1).nodeName;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_hasAttribute_a7d05690680041c9 = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).hasAttribute(getStringFromWasm0(arg1, arg2));
    return ret;
  };
  imports.wbg.__wbg_parentNode_9e53f8b17eb98c9d = function(arg0) {
    const ret = getObject(arg0).parentNode;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_height_bed51746e072a118 = function(arg0) {
    const ret = getObject(arg0).height;
    return ret;
  };
  imports.wbg.__wbg_clientX_1a480606ab0cabaa = function(arg0) {
    const ret = getObject(arg0).clientX;
    return ret;
  };
  imports.wbg.__wbg_clientY_9c7878f7faf3900f = function(arg0) {
    const ret = getObject(arg0).clientY;
    return ret;
  };
  imports.wbg.__wbg_hidepopover_526a0de245f37fea = function(arg0) {
    hide_popover(takeObject(arg0));
  };
  imports.wbg.__wbg_showpopover_5e69d91f99d26f9b = function(arg0) {
    show_popover(takeObject(arg0));
  };
  imports.wbg.__wbg_new_18bd185e44c76280 = function() {
    return handleError(function(arg0) {
      const ret = new ResizeObserver(getObject(arg0));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_target_ec9e3df2501dd225 = function(arg0) {
    const ret = getObject(arg0).target;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_clientWidth_51ec21e3189f5656 = function(arg0) {
    const ret = getObject(arg0).clientWidth;
    return ret;
  };
  imports.wbg.__wbg_isContentEditable_39ef5bc8a568ed41 = function(arg0) {
    const ret = getObject(arg0).isContentEditable;
    return ret;
  };
  imports.wbg.__wbg_children_27ed308801b57d3f = function(arg0) {
    const ret = getObject(arg0).children;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_length_b37ae9be90ea7cf5 = function(arg0) {
    const ret = getObject(arg0).length;
    return ret;
  };
  imports.wbg.__wbg_item_3364fbfadbf2cf08 = function(arg0, arg1) {
    const ret = getObject(arg0).item(arg1 >>> 0);
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_instanceof_Node_cffd9c3b74760745 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof Node;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_contains_fab0394bee511df3 = function(arg0, arg1) {
    const ret = getObject(arg0).contains(getObject(arg1));
    return ret;
  };
  imports.wbg.__wbg_from_89e3fc3ba5e6fb48 = function(arg0) {
    const ret = Array.from(getObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_indexOf_e4948f56ae1cb84f = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).indexOf(getObject(arg1), arg2);
    return ret;
  };
  imports.wbg.__wbg_right_38dad8097695fc4f = function(arg0) {
    const ret = getObject(arg0).right;
    return ret;
  };
  imports.wbg.__wbg_instanceof_PointerEvent_507c1a1588c16f6f = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof PointerEvent;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_classList_5f2fc1d67656292e = function(arg0) {
    const ret = getObject(arg0).classList;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_remove_b96f8e07a83041d1 = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4, arg5, arg6) {
      getObject(arg0).remove(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4), getStringFromWasm0(arg5, arg6));
    }, arguments);
  };
  imports.wbg.__wbg_add_3eafedc4b2a28db0 = function() {
    return handleError(function(arg0, arg1, arg2) {
      getObject(arg0).add(getStringFromWasm0(arg1, arg2));
    }, arguments);
  };
  imports.wbg.__wbg_remove_8cd1d0d124ab4b7a = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).remove(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbg_documentElement_0df873a7503a9af9 = function(arg0) {
    const ret = getObject(arg0).documentElement;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_matches_07c564b5b4101cf2 = function(arg0) {
    const ret = getObject(arg0).matches;
    return ret;
  };
  imports.wbg.__wbg_localStorage_dbac11bd189e9fa0 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).localStorage;
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_pushState_1145414a47c0b629 = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4, arg5) {
      getObject(arg0).pushState(getObject(arg1), getStringFromWasm0(arg2, arg3), arg4 === 0 ? void 0 : getStringFromWasm0(arg4, arg5));
    }, arguments);
  };
  imports.wbg.__wbg_sessionStorage_3b863b6e15dd2bdc = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).sessionStorage;
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_new_1862236317212659 = function() {
    return handleError(function(arg0, arg1) {
      const ret = new Event(getStringFromWasm0(arg0, arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_dispatchEvent_a622a6455be582eb = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).dispatchEvent(getObject(arg1));
      return ret;
    }, arguments);
  };
  imports.wbg.__wbg_closedialog_09ae0e0f8aa88669 = function(arg0) {
    close_dialog(takeObject(arg0));
  };
  imports.wbg.__wbg_showmodaldialog_7bc826dec669abb8 = function(arg0) {
    show_modal_dialog(takeObject(arg0));
  };
  imports.wbg.__wbg_contains_89f53d8cdb793adf = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).contains(getStringFromWasm0(arg1, arg2));
    return ret;
  };
  imports.wbg.__wbg_bottom_5209b0d4f0e63676 = function(arg0) {
    const ret = getObject(arg0).bottom;
    return ret;
  };
  imports.wbg.__wbg_tabIndex_d98e071ae62e2577 = function(arg0) {
    const ret = getObject(arg0).tabIndex;
    return ret;
  };
  imports.wbg.__wbg_observe_cbc70eede3bb5606 = function(arg0, arg1, arg2) {
    getObject(arg0).observe(getObject(arg1), getObject(arg2));
  };
  imports.wbg.__wbg_value_3c5f08ffc2b7d6f9 = function(arg0, arg1) {
    const ret = getObject(arg1).value;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_files_0b91078a034a0f7b = function(arg0) {
    const ret = getObject(arg0).files;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_text_a667ac1770538491 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).text();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_delete_23c0d8a2a81a97e8 = function() {
    return handleError(function(arg0, arg1, arg2) {
      delete getObject(arg0)[getStringFromWasm0(arg1, arg2)];
    }, arguments);
  };
  imports.wbg.__wbindgen_error_new = function(arg0, arg1) {
    const ret = new Error(getStringFromWasm0(arg0, arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_instanceof_ArrayBuffer_836825be07d4c9d2 = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof ArrayBuffer;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbindgen_debug_string = function(arg0, arg1) {
    const ret = debugString(getObject(arg1));
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbindgen_throw = function(arg0, arg1) {
    throw new Error(getStringFromWasm0(arg0, arg1));
  };
  imports.wbg.__wbg_queueMicrotask_3cbae2ec6b6cd3d6 = function(arg0) {
    const ret = getObject(arg0).queueMicrotask;
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_is_function = function(arg0) {
    const ret = typeof getObject(arg0) === "function";
    return ret;
  };
  imports.wbg.__wbg_resolve_b0083a7967828ec8 = function(arg0) {
    const ret = Promise.resolve(getObject(arg0));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_then_0c86a60e8fcfe9f6 = function(arg0, arg1) {
    const ret = getObject(arg0).then(getObject(arg1));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_queueMicrotask_481971b0d87f3dd4 = function(arg0) {
    queueMicrotask(getObject(arg0));
  };
  imports.wbg.__wbg_then_a73caa9a87991566 = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).then(getObject(arg1), getObject(arg2));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_error_d9bce418caafb712 = function(arg0, arg1, arg2, arg3) {
    console.error(getObject(arg0), getObject(arg1), getObject(arg2), getObject(arg3));
  };
  imports.wbg.__wbg_warn_dfc0e0cf544a13bd = function(arg0, arg1, arg2, arg3) {
    console.warn(getObject(arg0), getObject(arg1), getObject(arg2), getObject(arg3));
  };
  imports.wbg.__wbg_info_bb52f40b06f679de = function(arg0, arg1, arg2, arg3) {
    console.info(getObject(arg0), getObject(arg1), getObject(arg2), getObject(arg3));
  };
  imports.wbg.__wbg_log_ea7093e35e3efd07 = function(arg0, arg1, arg2, arg3) {
    console.log(getObject(arg0), getObject(arg1), getObject(arg2), getObject(arg3));
  };
  imports.wbg.__wbg_debug_9b8701f894da9929 = function(arg0, arg1, arg2, arg3) {
    console.debug(getObject(arg0), getObject(arg1), getObject(arg2), getObject(arg3));
  };
  imports.wbg.__wbg_new_55c9955722952374 = function() {
    return handleError(function() {
      const ret = new AbortController();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_getPropertyValue_45480a940d0053a0 = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = getObject(arg1).getPropertyValue(getStringFromWasm0(arg2, arg3));
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_removeProperty_298c1bf4d39723f9 = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = getObject(arg1).removeProperty(getStringFromWasm0(arg2, arg3));
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_createElement_4891554b28d3388b = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).createElement(getStringFromWasm0(arg1, arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_createElementNS_119acf9e82482041 = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      const ret = getObject(arg0).createElementNS(arg1 === 0 ? void 0 : getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_namespaceURI_31718ed49b5343a3 = function(arg0, arg1) {
    const ret = getObject(arg1).namespaceURI;
    var ptr1 = isLikeNone(ret) ? 0 : passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    var len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_getAttribute_3d8fcc9eaea35a17 = function(arg0, arg1, arg2, arg3) {
    const ret = getObject(arg1).getAttribute(getStringFromWasm0(arg2, arg3));
    var ptr1 = isLikeNone(ret) ? 0 : passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    var len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_querySelector_aff7124330d731be = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).querySelector(getStringFromWasm0(arg1, arg2));
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_querySelectorAll_521f18edab19a2d0 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).querySelectorAll(getStringFromWasm0(arg1, arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_new_1eead62f64ca15ce = function() {
    return handleError(function() {
      const ret = new Headers();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_get_2e9aab260014946d = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = getObject(arg1).get(getStringFromWasm0(arg2, arg3));
      var ptr1 = isLikeNone(ret) ? 0 : passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      var len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_href_d62a28e4fc1ab948 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).href;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_origin_50aa482fa6784a0a = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg1).origin;
      const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      const len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_removeNamedItem_1b78f8dba9db9ea6 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).removeNamedItem(getStringFromWasm0(arg1, arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_cloneNode_1f7cce4ea8b708e2 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).cloneNode();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_removeChild_973429f368206138 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).removeChild(getObject(arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_newwithstrandinit_cad5cd6038c7ff5d = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = new Request(getStringFromWasm0(arg0, arg1), getObject(arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_statusText_1dd32f6c94d79ef0 = function(arg0, arg1) {
    const ret = getObject(arg1).statusText;
    const ptr1 = passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
    const len1 = WASM_VECTOR_LEN;
    getInt32Memory0()[arg0 / 4 + 1] = len1;
    getInt32Memory0()[arg0 / 4 + 0] = ptr1;
  };
  imports.wbg.__wbg_arrayBuffer_288fb3538806e85c = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).arrayBuffer();
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_getItem_ed8e218e51f1efeb = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = getObject(arg1).getItem(getStringFromWasm0(arg2, arg3));
      var ptr1 = isLikeNone(ret) ? 0 : passStringToWasm0(ret, wasm.__wbindgen_malloc, wasm.__wbindgen_realloc);
      var len1 = WASM_VECTOR_LEN;
      getInt32Memory0()[arg0 / 4 + 1] = len1;
      getInt32Memory0()[arg0 / 4 + 0] = ptr1;
    }, arguments);
  };
  imports.wbg.__wbg_new_a76f6bcb38f791ea = function() {
    return handleError(function(arg0, arg1) {
      const ret = new URL(getStringFromWasm0(arg0, arg1));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_newwithbase_79b8cac27ce631ac = function() {
    return handleError(function(arg0, arg1, arg2, arg3) {
      const ret = new URL(getStringFromWasm0(arg0, arg1), getStringFromWasm0(arg2, arg3));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_innerWidth_ebe07ce5463ff293 = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).innerWidth;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_innerHeight_2dd06d8cf68f1d7d = function() {
    return handleError(function(arg0) {
      const ret = getObject(arg0).innerHeight;
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_getComputedStyle_09fd3af3edcbbc36 = function() {
    return handleError(function(arg0, arg1) {
      const ret = getObject(arg0).getComputedStyle(getObject(arg1));
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_matchMedia_12ef69056e32d0b3 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).matchMedia(getStringFromWasm0(arg1, arg2));
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_open_eb90816b1bacec03 = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).open(getStringFromWasm0(arg1, arg2));
      return isLikeNone(ret) ? 0 : addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_composedPath_cf1bb5b8bcff496f = function(arg0) {
    const ret = getObject(arg0).composedPath();
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_cachekey_b81c1aacc6a0645c = function(arg0, arg1) {
    const ret = getObject(arg1).__yew_subtree_cache_key;
    getInt32Memory0()[arg0 / 4 + 1] = isLikeNone(ret) ? 0 : ret;
    getInt32Memory0()[arg0 / 4 + 0] = !isLikeNone(ret);
  };
  imports.wbg.__wbg_subtreeid_e80a1798fee782f9 = function(arg0, arg1) {
    const ret = getObject(arg1).__yew_subtree_id;
    getInt32Memory0()[arg0 / 4 + 1] = isLikeNone(ret) ? 0 : ret;
    getInt32Memory0()[arg0 / 4 + 0] = !isLikeNone(ret);
  };
  imports.wbg.__wbg_bubbles_63572b91f3885ef1 = function(arg0) {
    const ret = getObject(arg0).bubbles;
    return ret;
  };
  imports.wbg.__wbg_setsubtreeid_e1fab6b578c800cf = function(arg0, arg1) {
    getObject(arg0).__yew_subtree_id = arg1 >>> 0;
  };
  imports.wbg.__wbg_setcachekey_75bcd45312087529 = function(arg0, arg1) {
    getObject(arg0).__yew_subtree_cache_key = arg1 >>> 0;
  };
  imports.wbg.__wbg_cancelBubble_90d1c3aa2a76cbeb = function(arg0) {
    const ret = getObject(arg0).cancelBubble;
    return ret;
  };
  imports.wbg.__wbg_listenerid_6dcf1c62b7b7de58 = function(arg0, arg1) {
    const ret = getObject(arg1).__yew_listener_id;
    getInt32Memory0()[arg0 / 4 + 1] = isLikeNone(ret) ? 0 : ret;
    getInt32Memory0()[arg0 / 4 + 0] = !isLikeNone(ret);
  };
  imports.wbg.__wbg_instanceof_ShadowRoot_b64337370f59fe2d = function(arg0) {
    let result;
    try {
      result = getObject(arg0) instanceof ShadowRoot;
    } catch (_) {
      result = false;
    }
    const ret = result;
    return ret;
  };
  imports.wbg.__wbg_host_e1c47c33975060d3 = function(arg0) {
    const ret = getObject(arg0).host;
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_setnodeValue_d1c8382910b45e04 = function(arg0, arg1, arg2) {
    getObject(arg0).nodeValue = arg1 === 0 ? void 0 : getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_nextSibling_304d9aac7c2774ae = function(arg0) {
    const ret = getObject(arg0).nextSibling;
    return isLikeNone(ret) ? 0 : addHeapObject(ret);
  };
  imports.wbg.__wbg_setchecked_e5a50baea447b8a8 = function(arg0, arg1) {
    getObject(arg0).checked = arg1 !== 0;
  };
  imports.wbg.__wbg_setvalue_1f95e61cbc382f7f = function(arg0, arg1, arg2) {
    getObject(arg0).value = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_setvalue_0dc100d4b9908028 = function(arg0, arg1, arg2) {
    getObject(arg0).value = getStringFromWasm0(arg1, arg2);
  };
  imports.wbg.__wbg_createTextNode_2fd22cd7e543f938 = function(arg0, arg1, arg2) {
    const ret = getObject(arg0).createTextNode(getStringFromWasm0(arg1, arg2));
    return addHeapObject(ret);
  };
  imports.wbg.__wbg_insertBefore_ffa01d4b747c95fc = function() {
    return handleError(function(arg0, arg1, arg2) {
      const ret = getObject(arg0).insertBefore(getObject(arg1), getObject(arg2));
      return addHeapObject(ret);
    }, arguments);
  };
  imports.wbg.__wbg_error_a526fb08a0205972 = function(arg0, arg1) {
    var v0 = getArrayJsValueFromWasm0(arg0, arg1).slice();
    wasm.__wbindgen_free(arg0, arg1 * 4, 4);
    console.error(...v0);
  };
  imports.wbg.__wbg_setlistenerid_f2e783343fa0cec1 = function(arg0, arg1) {
    getObject(arg0).__yew_listener_id = arg1 >>> 0;
  };
  imports.wbg.__wbg_setAttribute_e7e80b478b7b8b2f = function() {
    return handleError(function(arg0, arg1, arg2, arg3, arg4) {
      getObject(arg0).setAttribute(getStringFromWasm0(arg1, arg2), getStringFromWasm0(arg3, arg4));
    }, arguments);
  };
  imports.wbg.__wbg_removeAttribute_d8404da431968808 = function() {
    return handleError(function(arg0, arg1, arg2) {
      getObject(arg0).removeAttribute(getStringFromWasm0(arg1, arg2));
    }, arguments);
  };
  imports.wbg.__wbindgen_closure_wrapper401 = function(arg0, arg1, arg2) {
    const ret = makeMutClosure(arg0, arg1, 76, __wbg_adapter_40);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper1253 = function(arg0, arg1, arg2) {
    const ret = makeMutClosure(arg0, arg1, 76, __wbg_adapter_43);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper2832 = function(arg0, arg1, arg2) {
    const ret = makeClosure(arg0, arg1, 76, __wbg_adapter_46);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper4040 = function(arg0, arg1, arg2) {
    const ret = makeClosure(arg0, arg1, 76, __wbg_adapter_49);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper7846 = function(arg0, arg1, arg2) {
    const ret = makeClosure(arg0, arg1, 76, __wbg_adapter_52);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper13483 = function(arg0, arg1, arg2) {
    const ret = makeClosure(arg0, arg1, 76, __wbg_adapter_55);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper16488 = function(arg0, arg1, arg2) {
    const ret = makeMutClosure(arg0, arg1, 76, __wbg_adapter_58);
    return addHeapObject(ret);
  };
  imports.wbg.__wbindgen_closure_wrapper17450 = function(arg0, arg1, arg2) {
    const ret = makeClosure(arg0, arg1, 76, __wbg_adapter_61);
    return addHeapObject(ret);
  };
  return imports;
}
function __wbg_init_memory(imports, maybe_memory) {
}
function __wbg_finalize_init(instance, module) {
  wasm = instance.exports;
  __wbg_init.__wbindgen_wasm_module = module;
  cachedFloat64Memory0 = null;
  cachedInt32Memory0 = null;
  cachedUint32Memory0 = null;
  cachedUint8Memory0 = null;
  wasm.__wbindgen_start();
  return wasm;
}
function initSync(module) {
  if (wasm !== void 0)
    return wasm;
  const imports = __wbg_get_imports();
  __wbg_init_memory(imports);
  if (!(module instanceof WebAssembly.Module)) {
    module = new WebAssembly.Module(module);
  }
  const instance = new WebAssembly.Instance(module, imports);
  return __wbg_finalize_init(instance, module);
}
async function __wbg_init(input) {
  if (wasm !== void 0)
    return wasm;
  const imports = __wbg_get_imports();
  if (typeof input === "string" || typeof Request === "function" && input instanceof Request || typeof URL === "function" && input instanceof URL) {
    input = fetch(input);
  }
  __wbg_init_memory(imports);
  const { instance, module } = await __wbg_load(await input, imports);
  return __wbg_finalize_init(instance, module);
}
var pdm_ui_default = __wbg_init;
export {
  pdm_ui_default as default,
  initSync
};
